@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap');
@import 'components/acordeao.css';
@import "components/components.css";
@import 'agenda.css';
@import 'alunos.css';
@import 'assuntos.css';
@import 'button-dropdown.css';
@import 'button-lyceum.css';
@import 'card-dol.css';
@import 'carrossel-notas.css';
@import 'colors.css';
@import 'dropdown.css';
@import 'foto-docente.css';
@import 'header.css';
@import 'loading.css';
@import 'login/login.css';
@import 'menu/menu.css';
@import 'notas/notas-faltas.css';
@import "histograma-notas/histograma-notas.css";
@import 'noticias.css';
@import 'ocorrencias.css';
@import 'plano-aula.css';
@import './presencas/presencas.css';
@import 'toggle-button.css';
@import 'toggle.css';
@import 'turmas.css';
@import 'rate-estrelas.css';
@import 'selectComponenteNota.css';
@import 'groupModal.css';
@import 'media.css';
@import 'acordeon.css';
@import 'home/home.css';
@import 'calendario-agenda/calendario-agenda.css';
@import 'modal.css';
@import 'components/acordeao.css';
@import "planejamento-aula/planejamento-aula.css";
@import "disponibilidade/disponibilidade.css";
@import "publicacoes/publicacoes.css";
@import "custom.css";
@import "./calendario-avaliacoes/calendario-avaliacoes.css";
@import "./components/acordeao.css";
@import "scroll.css";
/* @import 'button-show.css'; */
/* @import 'detalhe-turma.css'; */



* {
    outline: none;
    font-family: 'Open Sans', sans-serif;
    scrollbar-width: thin;
    ::-webkit-scrollbar {
        width: 5px;
        height: 5px;
    }
}

.heading{
    color: var(--black, #000);
    font-weight: 700;
}

.heading--view{
    margin: 0 0 16px 0;
    font-size: 24px;
    line-height: 32px;

}

.heading--message{
    margin: 50px auto;
	text-align: center;
	font-size: 24px;
	line-height: 32px;
}

.coluna{
    display:flex;
    flex-direction:row;
}
a, a:hover {
    text-decoration: none;
}

h1, h2, h3, h4, h5 {
    font-family: 'Open Sans', sans-serif;
}

.fill {
    overflow: hidden !important;
    background: var(--white);
}

.crn-row-body{
    height: 100dvh;
}

#main-view {
    max-height: calc(100dvh - 64px);
    scrollbar-width: 12px;
    scrollbar-color: var(--primary) var(--white);
}

.login-ad-separator {
    display: flex;
    flex-direction: row;
    gap: 16px;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding: 16px 0;
    color: var(--login-separator-text);
}

.login-ad-separator hr {
    width: inherit;
    border-color: var(--login-separator);
}

.btn-login-ad {
    background: var(--login-ad) !important;
    width: -webkit-fill-available !important;
}

@media (min-width: 1001px) and (max-height: 700px){
    #main-view {
        max-height: calc(90dvh - 64px);
    }
}

#main-view::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-thumb {
  background-color: var(--deactivate);
  border-radius: 5px;
}

.fa-spinner {
    animation: spn-lds 1s infinite;
}

@keyframes spn-lds {
  from {transform: rotate(0deg);}
  to {transform: rotate(360deg);}
}

button {
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

.main-view-vertical {
    margin: 0;
    display: inline !important;
    width: 81vw;
}

body {
    background: var(--white);
}

.container-fluid {
    padding: 0;
}

.crn-row {
    display: flex;
    flex-direction: row;
}

@media (max-width: 420px)
{
    .coluna{
    display:flex;
    flex-direction:column;
    }
    .altura-maxima{
        height:200px;
    }
}

@media (max-width: 767px)
{
    .crn-row-body {
        display: block;
    }
}

.crn-column {
    display: flex;
    flex-direction: column;
}

.crn-text-justify {
    text-align: justify;
}

.crn-align-center {
    align-items: center;
}

.crn-justify-content {
    display: flex;
    justify-content: start;
    align-items: center;
}

.crn-justify-between {
    justify-content: space-between;
}

.crn-row a {
    text-decoration: none;
}

.crn-bold {
    font-weight: bold;
}

.crn-align-items-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

.crn-align-items-right {
    display: flex;
    align-items: right;
    justify-content: right;
}

.crn-button {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    min-width: 160px;
    min-height: 42px;
    padding: 10px;
}

.crn-button-success {
    background: var(--second);
    color: var(--font-white);
}

.crn-button-cancel {
    background: var(--warning);
    color: var(--font-white);
}

.crn-button-danger {
    background: var(--fail);
    color: var(--font-white);
}

.crn-button-danger:hover {
    color: var(--font-white);
    background: var(--red-danger);
    transition: 0.2s;
}

.crn-button-cancel:hover {
    color: var(--font-white);
    background: var(--yellow-cancel);
    transition: 0.2s;
}

.crn-button-success:hover {
    color: var(--font-white);
    background: var(--primary);
    transition: 0.2s;
}

.crn-icon-button-close i {
    color: var(--warning);
}

.crn-select, .crn-input {
    border: 1px solid var(--light-gray);
    border-radius: 15px;
    padding: 10px 25px 12px 24px;
    min-height: 45px;
}

.crn-label {
    color: var(--primary);
    /* font-family: "Open Sans"; "sans-serif" */
    font-weight: 700;
}

/* MENU LATERAL */

.navbar-header {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0;
}

.navbar-header img {
    margin: 40px 20px 60px 20px;
}

.modal-content {
    overflow: auto;
    border: none;
    /* padding:20px; */
}

.btn-default {
    background: var(--highlight-color);
}

/* Flex box */

.flex {
    display: flex;
}

.f-col {
    flex-direction: column;
}

.f-row {
    flex-direction: row;
}

.f-between {
    justify-content: space-between;
}

.f-evenly {
    justify-content: space-evenly;
}

.f-justify-center{
    justify-content: center;
}


.f-center {
    align-items: center;
}

.f-wrap{
    flex-wrap: wrap;
}

@media (min-width: 768px) {
    .modal-dialog {
        width: 501px;
    }
}

.btn-back-white-border-blue {
    background: #fff !important;
    border-color: #004AB1 !important;
    border-radius: 5px !important;
}

@media screen and (max-width: 1000px){

}

@media screen and (min-width: 1001px){

}

@media screen and (orientation: landscape) and (max-width: 1000px) {
    .header__division--info-turma-agenda.header-hidden {
        display: none !important;
    }
}

.landscape-mobile-header {
        display: none !important;
}

.info-docente-container--mobile {
    display: flex;
    align-items: center;
}

@media (orientation: landscape) and (max-width: 1000px) and (max-height: 470px) {
    .landscape-mobile-header {
        display: flex !important;
    }

    .landscape-mobile-header-btn {
        padding: 6px !important;
        width: fit-content !important;
    }

    .header-mobile__heading-landscape {
        display: flex;
        justify-content: space-between;
    }

    .header__division--info-turma-agenda-landscape {
        display: none !important;
    }
}